#32768 - число отсчетов оси vJoy для полного диапазона осей. Частота работы скрипта по умолчанию составляет 64 Гц.
if starting:
##=====================Блок настроек пользователя===========================================
	n = 0 # номер vJoy (если их в системе несколько), выбранного для управления. Если vJoy в системе единственный, то ставим 0.
	JOY = joystick['S-TECS MODERN THROTTLE STANDARD STEM '] # имя физического джойстика (из раздела игровых устройств)
	FlagAxisX = False
	k=1
##=====================Основной код===========================================
#-------------------Работа осей---------------
if FlagAxisX == False: vJoy[n].x = filters.ensureMapRange(JOY.x, -1000, 1000, -16384, 16384) # например ось корректора
else:
	if vJoy[n].x >  16384: vJoy[n].x =  16384; k = -1
	if vJoy[n].x < -16384: vJoy[n].x = -16384; k =  1
	vJoy[n].x = vJoy[n].x + 100*k

#-------------------Ввод осей vJoy в игру (после ввода оси в игру, лучше эти строки закомментировать в срипте)-----------------
if keyboard.getKeyDown(Key.LeftControl) and keyboard.getPressed(Key.UpArrow):   FlagAxisX = True  # пуск 	оси X vJoy **
if keyboard.getKeyDown(Key.LeftControl) and keyboard.getPressed(Key.DownArrow): FlagAxisX = False # останов  оси X vJoy

# ** - ось X vJoy начинает "бегать" туда-сюда без привязки к оси реального джойстика,  
#      в этот момент (после её пуска) эту ось и нужно назначить в игру
	
diagnostics.watch(JOY.x)
diagnostics.watch(vJoy[n].x)
diagnostics.watch(k)
diagnostics.watch(FlagAxisX)

